# Define toric vectors for x y z e0 e1 f0 f1
points = matrix([(1, -1, 0, 0), (0, 1, 0, 0), (-2, -1, 0, 0), (0, 0, 1, 0),
                (1, 0, 1, 0), (0, 0, 0, 1), (1, 0, 0, 1)])
# Doublecheck that the chosen vectors satisfy the desired scaling relations
print 'Check that chosen vectors are correct:'
2*points[0] + 3*points[1] + points[2]
-points[0] - points[1] - points[3] + points[4]
-points[0] - points[1] - points[5] + points[6]
print

# Compute triangulation
polyhed = Polyhedron(points)
p1 = PointConfiguration(
    points.transpose().augment(vector([0, 0, 0, 0])).transpose())
p1 = p1.restrict_to_star_triangulations((0, 0, 0, 0))
p1 = p1.restrict_to_fine_triangulations()
p1 = p1.restrict_to_regular_triangulations(True)
tria1 = p1.triangulations_list()
triangl1 = [[i[:-1] for i in j] for j in tria1]

# Display Stanley-Reisner ideals
print 'Stanley-Reisner ideal after blow-up:'
for i in range(len(tria1)):
    faecher = Fan(triangl1[i], points)
    toricx = ToricVariety(faecher, coordinate_names='x y z e0 e1 f0 f1')
    print str(i) + ": " + str(toricx.Stanley_Reisner_ideal())